// =========================================================================
// = Lib_argb.java                                                         =
// = Библиотека для работы с пикселями экрана. Используется для более      =
// = быстрой работы с изображением в среде MIDlet Pascal                   =
// = --------------------------------------------------------------------- =
// = Файл написан by CAHEKp 2009г.                                         =
// = Не забывайте вставлять меня в титры ВАШИХ проектов.. ;)               =
// =========================================================================

import javax.microedition.lcdui.*;

public class Lib_argb
{
    public static int getwidth = 176; // Здесь можно написать любой размер
    public static int getheight = 220; // экрана.
    public static int[] display = new int[getwidth*getheight];

    public static int get_argb (int cr, int cg, int cb)
	{
      	return (0xFF000000 | cr << 16 | cg << 8 | cb);
	}

	public static void set_pixel(int argb_color, int x, int y)
	{
      	display[x+(y*getwidth)]=argb_color;
	}

	public static int get_pixel(int x, int y)
	{
      	return display[x+(y*getwidth)];
	}

	public static Image argb_to_image(int width, int height)
	{
        return Image.createRGBImage(display, width, height, false);
	}

}